# SPEC file for pg_statinfo_v2
# Copyright(C) 2010 NIPPON TELEGRAPH AND TELEPHONE CORPORATION

# Original declaration for pg_statsinfo rpmbuild #

%define _pgdir   /usr/pgsql-9.0
%define _bindir  %{_pgdir}/bin
%define _libdir  %{_pgdir}/lib
%define _datadir %{_pgdir}/share


## Set general information for pgstatsinfo.
Summary:    Performance monitoring tool for PostgreSQL
Name:       pg_statsinfo
Version:    2.1.0
Release:    1%{?dist}
License:    BSD
Group:      Applications/Databases
Source0:    %{name}-%{version}.tar.gz
URL:        http://pgfoundry.org/projects/pgstatsinfo/
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)

## We use postgresql-devel package
BuildRequires:  postgresql90-devel

%description
pg_statsinfo monitors an instance of PostgreSQL server and gather
the statistics and activities of the server as snapshots.

## pre work for build pg_statsinfo
%prep
%setup -q -n %{name}-%{version}

## Set variables for build environment
%build
USE_PGXS=1 make %{?_smp_mflags}

## Set variables for install
%install
rm -rf %{buildroot}

USE_PGXS=1 make DESTDIR=%{buildroot}

## Install each modules
#  Set install location path
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/contrib

# Install pg_statsinfo package files
install -m 755 bin/pg_statsinfo				%{buildroot}%{_bindir}/pg_statsinfo
install -m 644 bin/pg_statsrepo.sql			%{buildroot}%{_datadir}/contrib/pg_statsrepo.sql
install -m 644 bin/pg_statsrepo_alert.sql		%{buildroot}%{_datadir}/contrib/pg_statsrepo_alert.sql
install -m 644 bin/pg_statsrepo_partition.sql		%{buildroot}%{_datadir}/contrib/pg_statsrepo_partition.sql
install -m 644 bin/uninstall_pg_statsrepo.sql		%{buildroot}%{_datadir}/contrib/uninstall_pg_statsrepo.sql

install -m 755 lib/pg_statsinfo.so			%{buildroot}%{_libdir}/pg_statsinfo.so
install -m 644 lib/pg_statsinfo.sql			%{buildroot}%{_datadir}/contrib/pg_statsinfo.sql
install -m 644 lib/uninstall_pg_statsinfo.sql		%{buildroot}%{_datadir}/contrib/uninstall_pg_statsinfo.sql

%clean
rm -rf %{buildroot}

## Set files for this packages
%files
%defattr(-,root,root)
%{_libdir}/pg_statsinfo.so
%{_bindir}/pg_statsinfo
%{_datadir}/contrib/pg_statsrepo.sql
%{_datadir}/contrib/pg_statsrepo_alert.sql
%{_datadir}/contrib/pg_statsrepo_partition.sql
%{_datadir}/contrib/uninstall_pg_statsrepo.sql
%{_datadir}/contrib/pg_statsinfo.sql
%{_datadir}/contrib/uninstall_pg_statsinfo.sql

# History of pg_statsinfo-v2 RPM.
%changelog
* Wed Apr  6 2011 - NTT OSS Center <kondo.mitsumasa@oss.ntt.co.jp> 2.1.0-1
- pg_statsinfo 2.1.0 released
* Mon Dec  6 2010 - NTT OSS Center <kasahara.tatsuhito@oss.ntt.co.jp> 2.0.1-2
- Fix wrong sintall path for the library.
* Mon Aug  6 2010 - NTT OSS Center <kasahara.tatsuhito@oss.ntt.co.jp> 2.0.1-1
- Fix retrieving incorrect PostgreSQL vresion of monitored DBs.
* Fri Jun 11 2010 - NTT OSS Center <kasahara.tatsuhito@oss.ntt.co.jp> 2.0.0-1
- Initial cut for 2.0.0
* Fri Apr  2 2010 - NTT OSS Center <kasahara.tatsuhito@oss.ntt.co.jp> 2.0-alpha1-1
- Release alpha

